osl::usi::UsiFile Class Reference

`#include <usiRecord.h>`

Inheritance diagram for osl::usi::UsiFile:

## Public Member Functions

| UsiFile (const std::string &filename)
| ~UsiFile ()
Public Member Functions inherited from osl::record::RecordFile
virtual | ~RecordFile ()
Record | load () const
const NumEffectState | initialState () const
const std::vector< Move > | moves () const

## Additional Inherited Members

Protected Attributes inherited from osl::record::RecordFile
Record | record

## Detailed Description

Definition at line 27 of file usiRecord.h.

## Constructor & Destructor Documentation

## UsiFile()

osl::usi::UsiFile::UsiFile | ( | const std::string & | filename | ) |

Definition at line 28 of file usiRecord.cc.

References osl::usi::parse(), and osl::record::RecordFile::record.

## ~UsiFile()

osl::usi::UsiFile::~UsiFile | ( |  | ) |

Definition at line 43 of file usiRecord.cc.

The documentation for this class was generated from the following files:

- usiRecord.h
- usiRecord.cc